Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Drop a sqlite_version check because we only support SQLite 3.6.16 or …

…newer.

Drop some comments that document the implementation rather than the interface.
  • Loading branch information...
commit 06c2b5bb5d3c205edd4d2fb47836b717ea37b577 1 parent 98991a9
@Empact Empact authored
View
1  activerecord/lib/active_record/connection_adapters/postgresql_adapter.rb
@@ -631,7 +631,6 @@ def supports_ddl_transactions?
true
end
- # Returns true.
def supports_explain?
true
end
View
7 activerecord/lib/active_record/connection_adapters/sqlite3_adapter.rb
@@ -141,14 +141,12 @@ def adapter_name #:nodoc:
'SQLite'
end
- # Returns true
def supports_ddl_transactions?
true
end
- # Returns true if SQLite version is '3.6.8' or greater, false otherwise.
def supports_savepoints?
- sqlite_version >= '3.6.8'
+ true
end
# Returns true, since this connection adapter supports prepared statement
@@ -162,7 +160,6 @@ def supports_migrations? #:nodoc:
true
end
- # Returns true.
def supports_primary_key? #:nodoc:
true
end
@@ -171,7 +168,6 @@ def requires_reloading?
true
end
- # Returns true
def supports_add_column?
true
end
@@ -218,7 +214,6 @@ def encoding
@connection.encoding.to_s
end
- # Returns true.
def supports_explain?
true
end
Please sign in to comment.
Something went wrong with that request. Please try again.